
Foreman - Feature #3733

deploy SLES with Foreman
Status: Closed   

Priority: Normal   

Assignee:    

Category: Unattended installations   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I want Foreman also to be able to provision SLES 11.3, however after trying alot of combination/associations I'm still always having

the problem that in the "Operating System" tab on the "New Host" page the Media dropdown is greyed out. The Parameters in

production.log:

Started POST "/hosts/current_parameters" for 62.128.1.22 at 2013-11-22 17:21:26 +0100

Processing by HostsController#current_parameters as */*

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"aDSBsfeHRimg4UGPohWTTferabkHOQDElqzRkyjkY9Y=", 

"host"=>{"name"=>"tmptst", "organization_id"=>"9", "location_id"=>"1", "hostgroup_id"=>"", "comput

e_resource_id"=>"", "environment_id"=>"3", "puppet_ca_proxy_id"=>"1", "puppet_proxy_id"=>"1", "pup

petclass_ids"=>[""], "managed"=>"true", "progress_report_id"=>"[FILTERED]", "type"=>"Host::Managed

", "mac"=>"01:23:45:67:89:0a", "domain_id"=>"3", "subnet_id"=>"1", "ip"=>"10.4.8.48", "interfaces_

attributes"=>{"new_interfaces"=>{"_destroy"=>"false", "type"=>"Nic::Managed", "mac"=>"", "name"=>"

", "domain_id"=>"", "ip"=>"", "provider"=>"IPMI"}}, "architecture_id"=>"1", "operatingsystem_id"=>

"14", "provision_method"=>"build", "build"=>"1", "ptable_id"=>"7", "disk"=>"", "root_pass"=>"[FILT

ERED]", "is_owned_by"=>"", "enabled"=>"1", "model_id"=>"", "comment"=>"", "overwrite"=>"false"}, "

host_id"=>"null"}

 I'm having the impression that SuSE support has bitrotted away in the last two years, because nobody is using it. As I'm forced now

to also support SuSE with my Foreman/Puppet installation, I'd really like to see this getting into shape for 1.4 and can contribute OS

templates but still need developer's help with Foreman's inner workings.

Associated revisions

Revision 105db848 - 11/26/2013 06:43 AM - Michael Moll 

refs #3733 - enhancements for SUSE installs

History

#1 - 11/22/2013 04:43 PM - Lukas Zapletal

Michael,

can you describe how exactly have you associated all the required objects?

Suse should be working fine, although I was not testing that recently. Patches are welcomed, but I guess this must be some mis-configuration there.

Is this Foreman 1.3.1?

#2 - 11/22/2013 04:50 PM - Anonymous

Yes, Foreman 1.3.1, I think all associations are there:

$ hammer medium info --id 4

Id:          4

Name:        OpenSuSE mirror

Path:        http://mirror.isoc.org.il/pub/opensuse/distribution/$major.$minor/repo/oss

OS Family:   Suse

OS IDs:      14

Created at:  2013/10/21 16:28:38

Updated at:  2013/11/21 23:35:50
$ hammer medium info --id 7

Id:          7

Name:        SuSE Mirror

Path:        http://xxx.xxx.net/iso/suse/$major.$minor/$arch

OS Family:   Suse

OS IDs:      14

Created at:  2013/11/21 17:54:46

Updated at:  2013/11/21 23:10:57

$ hammer os info --id 14

Id:                  14

Name:                SLES 11.3

Release name:        

Family:              Suse

Installation media:  OpenSuSE mirror, SuSE Mirror

Architectures:       x86_64

Partition tables:    SuSE Entire SCSI Disk

Config templates:    YaST2 Default, YaST2 default PXELinux

Parameters:

#3 - 11/22/2013 05:30 PM - Anonymous

OK, media is selectable now. Was a thinko with Locations (thanks to lzap getting me on the right track via IRC).

Taking this ticket for now while trying to get SLES 11.3 support into Foreman.

#4 - 11/22/2013 05:32 PM - Anonymous

- Tracker changed from Bug to Feature

- Subject changed from Media not selectable for SLES to deploy SLES with Foreman

- Assignee set to Anonymous

#5 - 11/23/2013 02:30 AM - Anonymous

- Status changed from New to Assigned

#6 - 11/24/2013 02:06 PM - Anonymous

- % Done changed from 0 to 40

First set of commits: https://github.com/theforeman/foreman/pull/1052

Information needs to go here for now: http://projects.theforeman.org/projects/foreman/wiki/Yast_based_unattended_installation

#7 - 11/25/2013 08:31 AM - Lukas Zapletal

Michael, I just provisioned OpenSUSE 11.3 now, works fine.

#8 - 11/26/2013 12:12 PM - Anonymous

- % Done changed from 40 to 60

General fixes for all SUSE flavours merged as 105db84 in community-templates.

#9 - 11/28/2013 02:36 PM - Anonymous

- % Done changed from 60 to 70

SLES template merged as 514f581 into community-templates.

#10 - 12/19/2013 03:52 PM - Anonymous

- % Done changed from 70 to 80

LVM partition table merged as b0b9a391 into community-templates.

#11 - 12/19/2013 03:57 PM - Anonymous

Oliver, I added you to the watchers of this ticket, as you seem to use SLES with Foreman.

https://github.com/theforeman/community-templates/commit/105db848b1430d622e09c871be53d6bf7d181dd9

https://github.com/theforeman/community-templates/commit/514f581d34b83d9d28e76cc7e80899b03002904f

https://github.com/theforeman/community-templates/commit/b0b9a3911579a34804e22b127a2a66b57e2809a6

are changes to templates which are getting everything going for me with SLES 11 SP3. Could you review and tell me, if anything is missing or not
correct in your opinion?

#12 - 12/21/2013 12:20 AM - Anonymous

- % Done changed from 80 to 90

updated the wiki page

#13 - 01/09/2014 02:28 PM - Anonymous

- Target version set to 1.9.2

#14 - 01/09/2014 02:29 PM - Anonymous

- Status changed from Assigned to Closed

- % Done changed from 90 to 100
